Pular para o conteúdo principal
POST
/
api
/
v1
/
search
/
text-store
/
stores
/
{store_name}
/
search
Python (SDK)
from openapi import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.search.text_store.search_texts(store_name="<value>", x_api_key_id="<id>", x_user_id="<id>", x_exchange_jwt_external_user_id="<id>", query="noise-cancelling headphones", vector=[
        0.16,
        -0.08,
        0.29,
    ], limit=5)

    # Handle response
    print(res)
{
  "results": [
    {
      "group": "electronics_q1_2026",
      "score": 0.9321,
      "text": "Wireless noise-cancelling headphones with 30-hour battery life"
    }
  ],
  "search_time_ms": 24,
  "total": 1
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

x-api-key-id
string
obrigatório
x-user-id
string
obrigatório
x-exchange-jwt-external-user-id
string
obrigatório

Parâmetros de caminho

store_name
string
obrigatório

Corpo

application/json

Solicitação para pesquisar textos semelhantes.

query
string
obrigatório

Texto de consulta para busca de texto completo

Minimum string length: 1
vector
number[]
obrigatório

Vetores de embeddings de consulta para busca semântica

Minimum array length: 1
limit
integer
padrão:10

Número máximo de resultados a retornar

Intervalo obrigatório: 1 <= x <= 100

Resposta

Resposta Bem-Sucedida

Resposta com resultados de pesquisa.

results
SearchTextResult · object[]
obrigatório

Resultados de busca ordenados

total
integer
obrigatório

Número de resultados retornados

search_time_ms
integer
obrigatório

Latência de pesquisa em milissegundos